#!/bin/bash

clear

# получаем текущий каталог запуска скрипта
script_dir=$(cd "$(dirname "${BASH_SOURCE[0]}")" &>/dev/null && pwd -P)
repo_path="${script_dir}/nmagentrepo"

sudo mkdir -p $repo_path
if [[ $? -ne 0 ]]
then
    echo "Не удалось создать каталог для монтирования образа с репозиторием. Выходим по ошибке"
    exit 1
fi

sudo mount nmagent-repo.iso -o loop $repo_path
if [[ $? -ne 0 ]]
then
    echo "Не удалось смонтировать образ с репозиторием. Выходим по ошибке"
    exit 1
fi

cd $repo_path
$repo_path/add_repo_localy.sh
cd ..

sudo apt-get install 10-strike-nmagent

sudo umount $repo_path

sudo rmdir $repo_path

sudo rm -f /etc/apt/vendors.list.d/nmagent.list
sudo sed -i '/nmagent/d' /etc/apt/sources.list

sudo apt-get update

echo "ОПЕРАЦИЯ ЗАВЕРШЕНА УСПЕШНО!"

exit 0
